Get Template

GET /api/rest/v4/data/reports/template

See a list of existing templates and its associated properties. Use this information in the next step to ultimately generate a report.

Params

NameParamTypeRequired?Description
idqueryNoIf unspecified, returns all available templates
pageSizequeryNoSet number of templates to be returned for pagination. Max is 200.
pageNumberqueryNoSet in conjunction with pageSize to cycle through templates for pagination.

Request

GET {{host}}/api/rest/v4/data/reports/template
Authorization: Bearer {{token}}

Response

[
  {
    "id": 914636,
    "name": "Weekly Deal Sheet",
    "reportType": "Object",
    "templateSource": "Word",
    "reportFormat": "Pdf",
    "status": "active",
    "filterFields": {}
  },
 {
    "id": 914664,
    "name": "Campaign Tearsheet",
    "reportType": "Entry",
    "templateSource": "Word",
    "reportFormat": "Pdf",
    "status": "active",
    "filterFields": {}
  },
  {
    "id": 931677,
    "name": "Fundraising Pipeline",
    "reportType": "Object",
    "templateSource": "Word",
    "reportFormat": "Pdf",
    "status": "active",
    "filterFields": {
      "1": [
        {
          "filterTermType": 1,
          "canBeSuppliedByUser": true,
          "defaultTokenId": 0,
          "columnId": 4,
          "value": [
            914672,
            914671
          ],
          "filterOperation": 7,
          "multiplier": 0
        }
      ]
    }
  }
]

Errors

{
  "message": "pageSize parameter exceeds the maximum allowed value of 200."
}